extends Node2D

var parent;
var turnLeft = 2;

func doSomething():
	print("jailed");
	turnLeft -= 1;
	parent = get_parent();
	parent.canPlay = false;
	if turnLeft == 0:
		parent.canPlay = true;
		queue_free()
	pass